@import url("./assets/fonts/dm-sans/dm-sans.css");

:root {
  --wdg-font-family: "DM Sans", sans-serif;
  --wdg-input-background: #ffffff;
  --wdg-input-border: rgba(0, 25, 40, 0.15);
  --wdg-label-color: #001928;
  --wdg-error-color: #00d7ff;
}

body {
  font-family: var(--wdg-font-family) !important;
  margin: 0;
  padding: 0;
}

form#pardot-form {
  font-family: inherit !important;
  margin: 0;
  padding: 0;
  display: flow-root;

  p {
    font-family: inherit;
    line-height: 1.25;
    margin: 1em 0;
    padding: 0;
  }

  .errors {
    padding: 1rem !important;
    background-color: var(--wdg-error-color) !important;
    color: var(--wdg-label-color) !important;
  }

  .error {
    color: var(--wdg-error-color) !important;
    margin: 0;
  }

  .form-row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1em;

    > * {
      flex: 1 1 100%;
    }

    > .width-50:not(.error) {
      flex: 0 1 calc(50% - 0.5em);
    }

    > :empty {
      display: none !important;
    }

    .form-field {
      display: flex;
      flex-direction: column;
      gap: 0.5rem;
      margin: 0;
      padding: 0;
    }
  }

  input,
  textarea,
  select {
    background: var(--wdg-input-background);
    border: 1px solid var(--wdg-input-border);
    box-sizing: border-box;
    font-size: 1rem;
    padding: 1rem !important;
    width: 100%;
    height: fit-content !important;
  }
  input:focus,
  textarea:focus,
  select:focus {
    border: none !important;
  }

  p label {
    color: var(--wdg-label-color);
    font-size: 16px !important;
  }

  p.required,
  span.required {
    font-weight: 400;

    label {
      background-image: none;
      padding: 0;
    }
  }

  .welo-custom-row {
    display: flex;
    gap: 1rem;
    flex-direction: column;

    a {
      color: inherit;
      text-decoration: underline;

      &:hover,
      &:focus {
        color: #063f5a;
      }
    }

    .after-form {
      flex: 0 1 auto;
      margin: 0;
    }

    .g-recaptcha {
      display: flex;
      flex: none;
    }

    @media (min-width: 600px) {
      align-items: center;
      flex-direction: row;
      justify-content: space-between;
    }
  }

  p.submit {
    input {
      background-color: #00e691;
      font-weight: 700;
      cursor: pointer;
      border: 1px solid #001928;
      border-radius: 0.3125rem;
      transition: all 250ms ease-in-out;
      color: #fff;
      width: auto;

      &:hover,
      &:focus {
        background-color: rgba(255, 255, 255, 1);
        border-color: #001928;
        box-shadow: none;
        color: #001928;
      }
    }
  }
}
